From 38a82911f9c35617e96587e59f796e4616d62483 Mon Sep 17 00:00:00 2001
From: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date: Tue, 22 Mar 2022 09:37:17 +0100
Subject: [PATCH] meson: fix gpg version check for recent gnupg

Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
---
 meson.build | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index e3242323..12ce3d56 100644
--- a/meson.build
+++ b/meson.build
@@ -51,7 +51,10 @@ gpgme_dep = dependency('gpgme', version: '>= 1.14.0', required: get_option('pgp-
 
 if get_option('pgp-support')
   gpg_version_check = run_command([gpg_check_version, gpg_bin.path(), accepted_gpg_versions ])
-  gpg_version = gpg_version_check.stdout()
+  # GnuPG now outputs e.g. 2.3.4-unknown so we need to drop this extra cruft
+  gpg_version_raw = gpg_version_check.stdout()
+  gpg_version_raw_split = gpg_version_raw.split('-')
+  gpg_version = gpg_version_raw_split[0]
   message('GnuPG Version: @0@'.format(gpg_version))
   if get_option('check-compatible-gpg') and gpg_version_check.returncode() != 0
     error('Incompatible version of GnuPG. Accepted versions are: @0@'.format(accepted_gpg_versions))
-- 
2.35.1

